using GraphicsManager.Objects;
using OpenTK.Mathematics;

namespace Luski.GUI.MainScreen.UI;

public class AddServerIcon : UserControl
{
    public Rectangle Button;
    public AddServerIcon()
    {
        Button = new(Globals.ms.TextureManager.GetTextureResource("add.png"))
        {
            Location = new(18.ScaleInt(), 8.ScaleInt(), 0),
            Size = new(32.ScaleInt()),
            Shader = Rectangle.DefaultAlphaShader[Globals.ms.Context],
            BackgroundColor = Color4.White,
            IgnoreHover = true
        };
        Controls.Add(Button);
        base.BackgroundColor = new(26, 26, 26, 255);
        base.Size = new(68.ScaleInt(), 48.ScaleInt());
    }
}